/*
Theme Name: Couponis Child Theme
Author: SpoonThemes
Theme URI: http://demo.spoonthemes.net/themes/couponis/
Author URI: http://themeforest.net/user/spoonthemes
License: GPL 2.0
Template: couponis
License URI: license.txt
Description:  Affiliate & Submitting Coupons WordPress Theme
Version: 1.0
Tags: grid-layout
*/

main {
    margin-top: 50px;
}

.taxonomy-header.white-block.custom-container{
    background: transparent;
}

.desktop-title, 
.mobile-title, 
.coupons-heading .coupon-action-button.header-alike,
.custom-store-container .store-heading{
    font-family: var(--custom-heading-font);
    font-weight: var(--custom-heading-weight);
    color: var(--custom-color);
}

.dec-p,
.custom-store-container .store-desc{
    font-family: var(--custom-text-font);
    color: var(--custom-text-color);
    line-height: 1.25;
}

.store-logo.custom-logo-style{
    border: 2px dashed var(--custom-color);
}

.store-logo.custom-logo-style:hover{
    border-color: var(--custom-hover-color);
}

.visit-store.custom-visit-btn, 
.custom-store-container .store-btn{
    background: var(--custom-color);
    font-family: var(--custom-heading-font);
    font-weight: var(--custom-heading-weight);
    color: var(--custom-bg);
}

.visit-store.custom-visit-btn:hover{
    background: var(--custom-hover-color);
}


.mobile-title {
	display: none;
}

.coupon-filter-mobile{
	display: none;
}

.taxonomy-header .white-block-content.store-background.store-desc{
    margin-bottom: 50px;
}

.taxonomy-header .white-block-content.store-background{
    background-color: #5FA5A5;
    background-image: var(--linear-bg)
}

/* Filter btn style */
.filter-btn{
	font-family: var(--custom-heading-font);
	border-radius: 2px;
	background: var(--custom-hover-color);
	color: var(--custom-bg);
	border: 0px solid;
	padding: 5px 10px;
	transition: transform .3s ease-in-out;
}

.filter-btn.active {
    background: var(--custom-color);
}

.filter-btn:hover{
	transform: translatey(-2px);
	background: var(--custom-color);
}

.action-btn-container{
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.coupon-filter-mobile select{
	color: var(--custom-text-color);
	font-family: var(--custom-text-font);
	border-radius: 5px;
	padding: 5px 10px;
	margin-top: 15px;
}

.coupon-filter-mobile select option:checked{
    background: var(--custom-hover-color);
}

@media(max-width: 600px){
	
	main{
		margin: 20px 0px 45px 0px;
	}
	
	.container .white-block{
		margin-bottom: 20px;
	}
	
	.taxonomy-header .white-block-content.store-desc{
		padding: 20px 10px;
	}
	.taxonomy-header .white-block-content.store-background.store-desc{
    margin-bottom: 20px;
}
	
	.mobile-flex-left {
		display: flex;
		flex-direction: row;
		gap: 20px
	}
	
	.tax-coupon-store .taxonomy-header .store-logo{
		padding-bottom: 0px;
		width: 100px;
		height: 100px;
	}
	
	.tax-coupon-store .taxonomy-header h1.mobile-title {
		font-size: 22px;
		display: block;
		margin: 0px;
	}
	
	.store-desc a.visit-store {
		width: 100px;
		padding: 5px 0px;
	}
	
	.store-info, .single-tax-action.single-tax-action{
		display: none;
	}
	
	.store-mobile-coupon .flex-left {
		display: none;
	}
	
	.store-mobile-coupon .white-block-content{
		padding: 10px;
	}
	
	.coupon-list .flex-middle h4{
		margin-top: 0px
	}
	
	.coupon-filter-mobile{
		display: block;
	}
}


/*------------ Coupon List -------------------------*/

.taxonomy-header .white-block-content.container-list {
    padding: 10px;
}

.list-container{
    border: 1px dashed var(--custom-color);
    padding: 10px;
}

.list-container .flex-middle{
    display: flex;
    flex-direction: column;
   justify-content: center;
}

.coupons-heading .coupon-action-button.header-alike {
    border: 0px solid;
    font-weight: 600;
}

.coupons-heading .coupon-action-button.header-alike:hover,
.custom-store-container .store-heading{
    color: var(--custom-hover-color);
}

.verified.verified, .exclusive.exclusive {
    padding-left:8px;
    padding-right: 8px;
}

.verified {
    background: var(--custom-hover-color);
    color: var(--custom-bg);
}

.list-btn-container .coupon-action-button.header-alike {
    border-color: var(--custom-color);
}

.list-btn-container .code-text, .list-btn-container .code-text-full  {
    background: var(--custom-color);
}

.list-btn-container .coupon-action-button.header-alike:hover, 
.list-btn-container .coupon-action-button.header-alike:hover .code-text,
.list-btn-container .coupon-action-button.header-alike:hover .code-text-full {
    border-color: var(--custom-hover-color);
}


/* ------------ store ------------- */

.stamp-style {
    display: inline-block;
    padding: 10px;
    background: white;
    position: relative;
    /*The stamp cutout will be created using crisp radial gradients*/
    background: radial-gradient(
        transparent 0px, 
        transparent 5px, 
        white 5px,
        white
    );

    /*reducing the gradient size*/
    background-size: 20px 20px;
    /*Offset to move the holes to the edge*/
    background-position: -10px -5px;
}

.stamp-style .custom-store-container{
    background: #fefefe;
}

.custom-store-container .store-btn{
    padding: 8px 16px;
}

.custom-store-container .store-btn:hover
{
    background: var(--custom-hover-color);
}

.custom-store-container .store-heading:hover a{
    color: var(--custom-hover-color);
}

.custom-store-container .image-container img{
    aspect-ratio: 16/9;
    object-fit: cover;
}







